# pandas.CategoricalIndex.remove_categories

CategoricalIndex.remove_categories(*args, **kwargs)

  Remove the specified categories.

  removals must be included in the old categories. Values which were in the removed categories will be set to NaN

  Parameters
    removals category or list of categories

      The categories which should be removed.

    inplace bool, default False

      Whether or not to remove the categories inplace or return a copy of this categorical with removed categories.

      Deprecated since version 1.3.0.

  Returns
    cat Categorical or None

      Categorical with removed categories or None if `inplace=True`.

  Raises
    ValueError

      If the removals are not contained in the categories

  See also

  `rename_categories`

    Rename categories.

  `reorder_categories`

    Reorder categories.

  `add_categories`

    Add new categories.

  `remove_unused_categories`

    Remove categories which are not used.

  `set_categories`

    Set the categories to the specified ones.